Bug 449966 - Kernel hangs at bootup when booting without CD/DVD in drive.
Kernel hangs at bootup when booting without CD/DVD in drive.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 11:01 EDT by David
Modified: 2008-06-16 22:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2008-06-04 11:01:00 EDT
Description of problem:
When I boot with the disc in the computer, Fedora boots up just fine.  Without
the disc, I get the following:

root (hd0,0)

Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.25-14.fc9.i686 ro root=UUID=6db477e7-822c-4412-a06b-d3bd563f5291
[Linux-bzImage, setup=0x3000, size=0x1fab60]

This is a Dell Optiplex 320 computer.

Version-Release number of selected component (if applicable):


How reproducible: 
Not sure.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2008-06-04 11:13:06 EDT
There's no other text after that ?  Hmm.

Can you try adding 'edd=off' to the boot command line?  (Also remove the 'quiet'
if its present)
Comment 2 David 2008-06-05 07:44:51 EDT
(In reply to comment #1)
> There's no other text after that ?  Hmm.
> 
> Can you try adding 'edd=off' to the boot command line?  (Also remove the 'quiet'
> if its present)

Thanks for the reply.

Nope, no text after that.  I removed "quiet" and still no text.  Even after
adding "edd=off", nothing.  It may be important to note that in order for it
boot up from the disc, I have to append "clocksource=acpi_pm"...but at least it
boots up.  Without the disc, however, it just sits there.
Comment 3 Chuck Ebbert 2008-06-05 20:54:44 EDT
(In reply to comment #0)
> Description of problem:
> When I boot with the disc in the computer, Fedora boots up just fine.  Without
> the disc, I get the following:

What disc are you talking about? A CD?
Comment 4 David 2008-06-06 07:34:48 EDT
(In reply to comment #3)
> (In reply to comment #0)
> > Description of problem:
> > When I boot with the disc in the computer, Fedora boots up just fine.  Without
> > the disc, I get the following:
> 
> What disc are you talking about? A CD?
> 

The Fedora Core 9 DVD.
Comment 5 Chuck Ebbert 2008-06-06 15:47:12 EDT
How long did you wait? Try letting it sit for at least ten minutes when it freezes.
Comment 6 David 2008-06-06 18:00:30 EDT
(In reply to comment #5)
> How long did you wait? Try letting it sit for at least ten minutes when it
freezes.

It's actually funny you should say that because I left it over night :)  Came
into work the next morning to the same screen.  Do you have any idea what is on
the disc that would allow it to boot with no problems?
Comment 7 Chuck Ebbert 2008-06-07 21:16:13 EDT
It will probably work if you leave any valid, readable disc in the drive.
Comment 8 David 2008-06-08 15:06:35 EDT
Hmmm, I should try that.  But I'm still at a loss as to what could make it hang
without any disc in the drive.
Comment 9 Chuck Ebbert 2008-06-10 15:18:01 EDT
Some other things to try:

Boot without a disc and the insert one after it locks up.

Just try opening and closing the tray when it locks.
Comment 10 David 2008-06-11 07:21:10 EDT
(In reply to comment #9)
> Some other things to try:
> 
> Boot without a disc and the insert one after it locks up.
> 
> Just try opening and closing the tray when it locks.
> 

I will give it a try, thanks.
Comment 11 David 2008-06-16 07:29:36 EDT
Ok, after trying all of the above suggestions (and many more) I was still unable
to get Fedora to boot without the disc in the drive.  Therefore, I asked for and
received permission from my boss to build a custom system and toss that Dell
Optiplex to the side (for one of the new hires, of course).  Now, Fedora boots
up and runs like a dream.

I am sorry I had to sort of "give up" like this, but because this is my work PC,
I couldn't afford to waste too much time troubleshooting.  Thank you all for
your help and suggestions and if I have the time in the future, I'll try and
investigate the cause of this issue further.

Note You need to log in before you can comment on or make changes to this bug.